This page is a ZenPay-styled copy of the Zenith Payments developer documentation. View the original docs
Proxies API
A proxy is a reference to a stored payment account (card, bank account, PayID, or PayTo). Proxies can be queried for details and applicable transaction pricing.
Get a proxy#
View this endpoint in the original docs
Returns the payment account proxy for the specified proxy value.
Authentication: Api-Key + BasicAuth
Parameters
| Name | In | Type | Description |
|---|---|---|---|
proxy required | path | string | The payment account proxy value. |
Responses
200 Payment account proxy provided.
application/json · object (PaymentAccountProxyResponse)
Example: Payment account proxy
Baseline card-backed proxy read.
{
"accountType": "Card",
"cardExpiry": "1229",
"cardHolderName": "Test Cardholder",
"cardNumber": "555555XXXXXX4444",
"cardType": "MasterCard"
}400 Invalid input detail.
application/json · object
404 Unable to find the payment account proxy.
Example request (cURL, sandbox host)
curl -X GET 'https://api.sandbox.zenpay.com.au/v2/proxies/{proxy}' \
-H 'Api-Key: <your API key>' \
-u '<username>:<password>' \
-H 'Accept: application/json'Get proxy pricing#
View this endpoint in the original docs
Returns pricing for the specified proxy and payment amount.
Authentication: Api-Key + BasicAuth
Parameters
| Name | In | Type | Description |
|---|---|---|---|
proxy required | path | string | The payment account proxy value. |
paymentAmount required | query | number <double> | The payment amount used to calculate pricing. |
Responses
200 Pricing response for proxy and payment amount provided.
application/json · object (PricingResponse)
Example: Proxy pricing
Baseline pricing response; the amount is a query parameter.
{
"pricing": {
"customerFee": 0,
"merchantFee": 0,
"paymentAmount": 1,
"processingAmount": 1
}
}400 Invalid input detail.
application/json · object
404 Unable to find the pricing response for the provided proxy.
Example request (cURL, sandbox host)
curl -X GET 'https://api.sandbox.zenpay.com.au/v2/proxies/{proxy}/pricing' \
-H 'Api-Key: <your API key>' \
-u '<username>:<password>' \
-H 'Accept: application/json'